2013-09-23  Alan Modra  <amodra@gmail.com>

	* Makefile.in: Regenerate.

2006-07-14  Dave Brolley  <brolley@redhat.com>

	* stdio.cxx (stdioConsole): Initialize eof_p. Add "eof" pin.
	(read): Remove 'value'. Check eof_p. Drive eof_pin and set
	eof_p as needed.
	* components.h (eof_pin): New member of stdioConsole.
	(eof_p): Likewise.
	* sid-io-stdio.xml: Document eof pin.
	* sid-io-stdio.txt: Regenerated.

2005-12-16  Nathan Sidwell  <nathan@codesourcery.com>

	Second part of ms1 to mt renaming.
	* sid/component/consoles/Makefile.in: Rebuilt.

2005-08-19  Dave Brolley  <brolley@redhat.com>

	* Contribute the following changes:

	2005-07-13  Dave Brolley  <brolley@redhat.com>

	* components.h (socketio): Inherit virtually from
	fixed_attribute_map_component. Inherit from no_relation_component.

	2005-06-06  Dave Brolley  <brolley@redhat.com>

	* components.h: Add using clause for sidutil::configurable_component.
	(socketio): fixed_pin_map_component and configurable_component
	inherited virtually. no_relation_component no longer inherited.
	(configure): New virtual override in socketio.
	* socketio.cxx (configure): Likewise.
	* sid-io-socket.xml: Add description of new interfaces.
	* sid-io-socket.txt: Regenerated.

2005-06-03  Jim Blandy  <jimb@redhat.com>

	* Makefile.in: Regenerated with Automake 1.9.5.

2004-03-22  Dave Brolley  <brolley@redhat.com>

	* socketio.cxx (fini_handler): Flush out remaining data before
	terminating.

2003-07-14  Dave Brolley  <brolley@redhat.com>

	* stdio.cxx (read): Restore flags to their original state.

2003-06-10  Dave Brolley  <brolley@redhat.com>

	* components.h (fileioConsole): New class.
	* components.cxx (compConsoleListTypes): Add sid-io-fileio.
	(compConsoleCreate): Handle sid-io-fileio.
	(compConsoleDelete): Handle fileioConsole.
	* Makefile.am (libconsoles_la_SOURCES): Add fileio.cxx
	(pkgdata_DATA): Add sid-io-fileio.txt.
	* Makefile.in Regenerated.
	* fileio.cxx: New file.
	* sid-io-fileio.txt: New file.
	* sid-io-fileio.xml: New file.
	* sid-io-stdio.xml: Refer to sid-io-fileio component.
	* sid-io-stdio.txt: Regenerated.

2002-03-04  Frank Ch. Eigler  <fche@redhat.com>

	* socketio.cxx (tx_handler): Expedite poll.

2001-08-04  Frank Ch. Eigler  <fche@redhat.com>

	* socketio.cxx (~socketio): Define.

2001-08-03  matthew green  <mrg@redhat.com>

	* components.h (~socketio): Add prototype.

2001-07-13  Ben Elliston  <bje@redhat.com>

	* Makefile.am (check-local): Rename target from "checkme".

2001-07-11  Frank Ch. Eigler  <fche@redhat.com>

	* sid-io-socket.xml, sid-io-stdio.xml: Add <?xml ... ?> prefix.

2001-07-04  graydon hoare  <graydon@redhat.com>

	* configure.in: Add maintainer-mode doc building configury.
	* configure: Regenerate.
	* Makefile.am: Add maintainer-mode doc building.
	* Makefile.in: Regenerate.

2001-07-04  Ben Elliston  <bje@redhat.com>

	* sid-io-socket.txt: Generate.
	* sid-io-stdio.txt: Likewise.

2001-06-27  graydon hoare  <graydon@redhat.com>

	* sid-io-stdio.xml: Add.
	* sid-io-socket.xml: Add.

2001-03-23  John Healy  <jhealy@redhat.com>

	* Makefile.in: Regenerated.

2001-03-21  Frank Ch. Eigler  <fche@redhat.com>

	* socketio.cxx (asyncificate): Correct fd typo.

2001-03-14  Frank Ch. Eigler  <fche@redhat.com>

	* socketio.cxx (asyncificate): Set TCP_NODELAY and SO_KEEPALIVE options.
	(init_handler): Don't bother with SO_KEEPALIVE here.
	* components.h: #include <netinet/tcp.h>.

2001-01-17  Jeff Johnston  <jjohnstn@redhat.com>

	* stdio.cxx (stdioConsole::read): Change to read a reasonable size of
	data each time stdin gets polled.

2000-11-16  matthew green  <mrg@redhat.com>

	* Makefile.am: Use $(socket_libs) to add -lnsl -lsocket if needed.
	* Makefile.in: Regenerated.

2000-07-19  Frank Ch. Eigler  <fche@redhat.com>

	* Makefile.in: Regenerated.

2000-05-26  Frank Ch. Eigler  <fche@redhat.com>

	* components.h: Import more std:: identifiers.
	* socketio.cxx (*): Explicitly qualify more std:: identifiers.
	Quash negative-literal warnings.

2000-03-08  Frank Ch. Eigler  <fche@redhat.com>

	* components.h: Don't #include sidcpuutil.h.

2000-02-18  Mary Lynn Kostash  <mkostash@redhat.com>

	* sid-io-socket.txt: Minor rewording.

2000-02-17  Ben Elliston  <bje@redhat.com>

	* sid-io-socket.txt: Simplify some text.

2000-02-11  Frank Ch. Eigler  <fche@redhat.com>

	* hw-visual-tty.tk (attribute_value): New dummy proc.
	(set_attribute_value): Ditto.

2000-02-08  Frank Ch. Eigler  <fche@redhat.com>

	* components.cxx (compConsoleDelete): Guard against dynamic_cast
	after delete.

2000-01-25  Frank Ch. Eigler  <fche@redhat.com>

	* Makefile.in: Regenerated.

2000-01-18  Frank Ch. Eigler  <fche@cygnus.com>

	* socketio.cxx (socketio ctor): Initialize recursion_limited base.
	(poll:) Use it.
	* sid-io-socket.txt: Document harmful recursion prevention.

2000-01-17  Frank Ch. Eigler  <fche@cygnus.com>

	* hw-visual-tty.tk: New file.
	* Makefile.am: Install it in pkgdata.
	* Makefile.in: Regenerated.

2000-01-13  Frank Ch. Eigler  <fche@cygnus.com>

	* socketio.cxx (operator <<,>>): Remove state save/restore stub.

2000-01-12  Frank Ch. Eigler  <fche@cygnus.com>

	* Makefile.in: Regenerated.

1999-12-22  Frank Ch. Eigler  <fche@cygnus.com>

	* sid-io-socket.txt: Put default back for buffer-while-disconnected?,
	but take it away from connected?.

1999-12-22  Permaine Cheung  <pcheung@cygnus.com>

	* Makefile.am (DEJAGNUTESTS): Add socketinv.exp and socketval.exp.
	* Makefile.in: Regenerated.
	* sid-io-socket.txt: Default for buffer-while-disconnected should
	be n/a.

1999-12-09  Faisal Khoja  <fkhoja@cygnus.com>

	* Makefile.in: Regenerated.

1999-12-09  Ben Elliston  <bje@cygnus.com>

	* Makefile.am (DEJAGNUTESTS): Add consdocs.exp.
	* Makefile.in: Regenerated.

1999-12-08  Faisal Khoja  <fkhoja@cygnus.com>

	* Makefile.in: Regenerated.

1999-12-07  Frank Ch. Eigler  <fche@cygnus.com>

	* sid-io-stdio.txt: New file.  Contents come from old README.
	* sid-io-socket.txt: Ditto.
	* README: Removed.
	* Makefile.am: Install new files.
	* Makefile.in: Regenerated.

1999-12-07  Permaine Cheung  <pcheung@cygnus.com>

	* Makefile.am (DEJAGNUTESTS): Add stdioval.exp and stdioinv.exp.
	* Makefile.in: Regenerated.

1999-11-25  Frank Ch. Eigler  <fche@cygnus.com>

	* socketio.cxx (innocent_errno_p): Use argument.
	(poll_transmit): Treat non-innocent errors as EOFs.
	(poll_receive): Ditto.  Drive unsigned char value.

1999-11-24  Mary Lynn Kostash  <mkostash@cygnus.com>

	* README: Fixed grammar.

1999-11-23  Frank Ch. Eigler  <fche@cygnus.com>

	* socketio.cxx (read): Take unused host_int_4 arg.
	(init_handler, fini_handler): Ditto.
	(tx_handler): Conditionally dispatch to tx_eof_handler.
	(poll_receive, poll_transmit): Drive -1 on EOF.
	(update_poll_interval): Clamp max_poll_interval too.
	(socketio ctor): Notify on max_poll_interval change too.
	* stdio.cxx (read): Take unused host_int_4 arg.
	* components.h: Matching changes.
	* components.cxx (compConsoleDelete): Use dynamic_cast<>.
	* README: Update EOF coding behaviors.

1999-11-17  Faisal Khoja  <fkhoja@cygnus.com>

	* stdio.cxx (save_state): Added arbitrary return string.
	(restore_state): Check for arbitrary string.

1999-11-12  Frank Ch. Eigler  <fche@cygnus.com>

	* components.h (poll_interval, max_poll_interval): Change type of
	these socketio members to host_int_2.
	* socketio.cxx (update_poll_interval): Clamp supplied value 1..max.

1999-11-09  Frank Ch. Eigler  <fche@cygnus.com>

	* socketio.cxx (init_handler): Improve test for multiple initialization.
	(poll_connect): Fix buggy assert in socket client.
	(poll): Test for uninitialized polling.
	* Makefile.am (DEJAGNUTESTS): Add consmonkey.exp.
	* Makefile.in: Regenerated.

1999-11-08  Frank Ch. Eigler  <fche@cygnus.com>

	* socketio.cxx (update_poll_interval): Avoid 0 value.
	(wait_less): Ditto.

1999-11-05  Frank Ch. Eigler  <fche@cygnus.com>

	* components.cxx: Rename "sw-io-stdio" -> "sid-io-stdio".
	* README: Matching change.

1999-11-01  Permiane Cheung  <pcheung@cygnus.com>

	* README: Fix configuration in Environment section.

1999-10-19  Frank Ch. Eigler  <fche@cygnus.com>

	* Makefile.in: Regenerated.

1999-10-14  Mary Lynn Kostash  <mkostash@cygnus.com>\

	* README:  A few more doc fixes.

1999-10-13  Mary Lynn Kostash  <mkostash@cygnus.com>

	* README:  Doc fixes based on review comments.

1999-10-10  Faisal Khoja  <fkhoja@cygnus.com>

	* socketio.cxx (poll_receive): Changed J's type to int from
	unsigned.

1999-10-08  Frank Ch. Eigler  <fche@cygnus.com>

	* socketio.cxx (write): Take value for pin::driven, not const-ref.
	(tx_handler): Same.
	* stdio.cxx (write): Same.
	* components.h (*): Corresponding changes.

1999-09-23  Frank Ch. Eigler  <fche@cygnus.com>

	* README: Update for bool/number notation changes.
	* socketio.cxx (operator <<): Use make_numeric_attribute for port
	number.
	* socketio.h: Import make_numeric_attribute.

1999-09-20  Frank Ch. Eigler  <fche@cygnus.com>

	* README: Reorganized sw-io-stdio section.  Added new section for
	sid-io-socket-* components.

1999-09-16  Frank Ch. Eigler  <fche@cygnus.com>

	* components.h (BSD_COMP): Add compatibility macro for Solaris 2.6.

1999-09-16  Frank Ch. Eigler  <fche@cygnus.com>

	* socketio.cxx (asyncificate): Use both ioctl & fcntl.

1999-09-16  Frank Ch. Eigler  <fche@cygnus.com>

	* socketio.cxx (asyncificate): Use ioctl/FIONBIO instead of
	fcntl/O_NONBLOCK on cygwin.
	* components.h: #include a few more system headers for ioctl decl.

1999-09-13  Frank Ch. Eigler  <fche@cygnus.com>

	* components.h (*): Use host_int_X, not compiler_int_X.

1999-09-10  Frank Ch. Eigler  <fche@cygnus.com>

	* socketio.cxx (socketio ctor): Reduce default maximum
	max_poll_interval to 250ms.

1999-09-04  Frank Ch. Eigler  <fche@cygnus.com>

	* components.h (socketio): Add trace_traffic_p member.
	* socketio.cxx (socketio ctor): Export it as "trace-traffic?".
	(poll_transmit, poll_receive): Trace traffic if above flag set.

1999-09-01  Frank Ch. Eigler  <fche@cygnus.com>

	* socketio.cxx: Define INADDR_NONE if necessary.
	(init_handler, poll_connect): Paranoidly set AF_INET on
	sin_family before bind/connect.

1999-09-01  Mary Lynn Kostash  <mkostash@cygnus.com>

	* README:  Doc fixes. Sentences reworded.

1999-08-31  Frank Ch. Eigler  <fche@cygnus.com>

	(restore_state): Return bad_value on error.
	* socketio.cxx (operator >>): Use INADDR_NONE instead of -1.
	Set sin_family.
	(socketio ctor): Set sin_family on sock_name and peer_name.
	(init_handler): Bind socket unconditionally.

	* stdio.cxx (save_state): Remove tracing message.

1999-08-27  Frank Ch. Eigler  <fche@cygnus.com>

	* socketio.cxx (avg_out_buffer_size): New member.
	(tx_handler): Compute above statistical value.  Be less verbose.
	(init_handler): Accept mistimed event without crashing.
	(tx_eof_handler): New function.  Disconnect.
	(socketio ctor): Trigger it on incoming driven() call.  Export
	new "avg-tx-buffer-size" attribute.
	(poll_receive): Be less verbose.  Forward EOF indication via
	driven() when appropriate.  shutdown() before close().
	(poll_transmit): Ditto.
	* components.h (socketio): Match declaration changes.

1999-08-24  Frank Ch. Eigler  <fche@cygnus.com>

	* socketio.cxx: New file.
	* stdio.cxx: Remove component_library parts.
	* components.h, components.cxx: New files for component_library parts.
	* Makefile.am: Build new files.
	* Makefile.in: Regenerated.

1999-08-24  Ben Elliston  <bje@cygnus.com>

	* Makefile.am (DEJAGNUTESTS): Define.
	(checkme): New target.
	* Makefile.in: Regenerate.

1999-08-03  Faisal Khoja  <fkhoja@cygnus.com>

	* stdio.cxx: Introduced proper namespace format. Inherit from
	fixed_attribute_map_component to support save/restore. Add
	save/restore functionality and streaming operators.

1999-07-05  Frank Ch. Eigler  <fche@cygnus.com>

	* testsuite: Removed directory.
	* Makefile.am (SUBDIRS): Don't recurse into it.
	* Makefile.in: Regenerated.
	* acconfig.h: Removed.
	* aclocal.m4: Ditto.
	* config.in: Ditto.
	* configure: Ditto.
	* configure.in: Ditto.
	* stamp-h.in: Ditto.

1999-06-23  Ben Elliston  <bje@cygnus.com>

	* README: Rewrite using new documentation template.

1999-06-15  Ben Elliston  <bje@cygnus.com>

	* README: New file. Document the stdio console component.

1999-06-09  Frank Ch. Eigler  <fche@cygnus.com>

	* stdio.cxx (compConsoleDelete): New function.
	(console_component_library): Register it.

1999-06-08  Frank Ch. Eigler  <fche@cygnus.com>

	* stdio.cxx (compConsoleListTypes, compConsoleCreate):
	Renamed type "console-stdio" -> "sw-io-stdio".

1999-05-31  Faisal Khoja <fkhoja@cygnus.com>
	* stdio.cxx (read): added #include<unistd.h>
	to call read (int, void*, size_t) from above mentioned
	header file. Header is added in order to compile on NT using
	cygwin 99r1.

1999-05-30  Ben Elliston  <bje@cygnus.com>

	* Makefile.am: New file.
	* configure.in: Likewise.
	* Makefile.in: Generate.
	* configure: Likewise.
	* config.in: Likewise.
	* stamp-h.in: Likewise.
	* aclocal.m4: Likewise.
	* stdio.cxx: New file; standard I/O console.
	(stdioConsole::read): Use read(), not streams for doing
	non-blocking input from stdin.
	(stdioConsole ctor): Rename `activity-pin' to `poll'.

